void RegisterStoryline(int n)
{
	ref storyline; makeref(storyline, Storylines);
	storyline.default = n;
	aref sl; makearef(sl, storyline.list);
	string sn = "sl" + (n + 1);
	sl.(sn).id = "NewHorizons";
	sl.(sn).index = n;
	sl.(sn).dir = "standard\";

	sl.(sn).start.location = "Tutorial_Deck";
	sl.(sn).start.port = "Oxbay_port";
	sl.(sn).start.model = "Blaze";
	sl.(sn).start.name = "Nathaniel";
	sl.(sn).start.lastname = "Hawk";
	sl.(sn).start.ship = "Lugger1";
	sl.(sn).start.shipname = "Victory";
	sl.(sn).start.date.hour = 10;
	sl.(sn).start.date.min = 24;
	sl.(sn).start.date.sec = 42;
	sl.(sn).start.date.day = 15;
	sl.(sn).start.date.month = 4;
	sl.(sn).start.date.year = 1690;

	switch (LanguageGetLanguage())
	{
		case "Polish":
			sl.(sn).title = "Nowe horyzonty";
			sl.(sn).description = "To jest opis";
		break;
		// default:
			sl.(sn).title = "New Horizons";
			sl.(sn).description = "As a brave corsair you're destined to fight treacherous governors and very, very evil pirate chief. You can buy that story if you like; you're free to lie yourself that size of the ship and number of cannons count. You can try to convince yourself that you fight for riches and glory. But, in fact, everything goes to answering one, the only true question: will you manage to attract Danielle and bring her back to you again?";
		break;
	}

	AddStorylineVar(n, "REALISTIC_BLACKPEARL", "1");		// BOOL - set to 1 to enable boarding of the Black Pearl.
	AddStorylineVar(n, "BARBOSSA_NOSURRENDER", "2");		// INT - 0 - Barbossa can surrender during sea fight or boarding, 1 - Barbossa can surrender only during boarding, 2 - Barbossa will never surrender.
	AddStorylineVar(n, "SILEHARD_SHIP_NAME", "HMS Sovereign of the Seas");		// STRING - name of Silehard Manowar; set "" to revert to game default.
	AddStorylineVar(n, "ENABLE_CAPTURE_FRENCH_SQUADRON", "1");		// BOOL - set to 1 to enable boarding ships of French squadron blocking Oxbay.
	AddStorylineVar(n, "ENABLE_RESTORE_OF_FRENCH_SQUADRON", "1");		// BOOL - set to 1 to enable sending replacement ships for those captured or sunk from the squadron.
	AddStorylineVar(n, "DANIELLE_SITOUT_BOARDINGS", "0");		// BOOL - set to 1 to prevent Danielle from fight during boarding after she becomes officer.
	AddStorylineVar(n, "ALLOW_OXBAY_TRADE_DURING_OCCUPATION", "1"); 	// BOOL - 0: trade and ship repair won't be possible during French occupation of Oxbay (stock default), 1: trade and repairs will be done
	AddStorylineVar(n, "EVIL_STORMY_START", "0");		// BOOL - 0: Original CCC Stormy Start 1: A more difficult version of the Stormy Start
	AddStorylineVar(n, "PLAY_INVASION_MOVIE", "1");		// BOOL - 0: Skip movie about French invasion of Oxbay	1: Play the French invasion movie (Stock PotC)
	AddStorylineVar(n, "USE_PROPER_TUTORIAL_DECK", "1");		// BOOL - 0: Use stock game's tutorial cabin	1: Start the game in proper cabin for a given ship type
}
